/**
 * Core Scripts for the HydePHP Frontend
 *
 * @package     HydePHP - HydeFront
 * @version     v1.3.x (HydeFront)
 * @author      Caen De Silva
 */
// Handle the main navigation menu
var mainNavigationLinks = document.getElementById("main-navigation-links");
var openMainNavigationMenuIcon = document.getElementById("open-main-navigation-menu-icon");
var closeMainNavigationMenuIcon = document.getElementById("close-main-navigation-menu-icon");
var navigationOpen = false;
// Toggle the navigation menu visibility when the menu button is clicked
function toggleNavigation() {
    if (navigationOpen) {
        hideNavigation();
    }
    else {
        showNavigation();
    }
}
// Show the navigation menu items
function showNavigation() {
    mainNavigationLinks.classList.remove("hidden");
    openMainNavigationMenuIcon.style.display = "none";
    closeMainNavigationMenuIcon.style.display = "block";
    navigationOpen = true;
}
// Hide the navigation menu items
function hideNavigation() {
    mainNavigationLinks.classList.add("hidden");
    openMainNavigationMenuIcon.style.display = "block";
    closeMainNavigationMenuIcon.style.display = "none";
    navigationOpen = false;
}
// Handle the documentation page sidebar
var sidebarOpen = screen.width >= 768;
var sidebar = document.getElementById("documentation-sidebar");
var backdrop = document.getElementById("sidebar-backdrop");
var toggleButtons = document.querySelectorAll(".sidebar-button-wrapper");
function toggleSidebar() {
    if (sidebarOpen) {
        hideSidebar();
    }
    else {
        showSidebar();
    }
}
function showSidebar() {
    sidebar.classList.remove("hidden");
    sidebar.classList.add("flex");
    backdrop.classList.remove("hidden");
    document.getElementById("app").style.overflow = "hidden";
    toggleButtons.forEach(function (button) {
        button.classList.remove("open");
        button.classList.add("closed");
    });
    sidebarOpen = true;
}
function hideSidebar() {
    sidebar.classList.add("hidden");
    sidebar.classList.remove("flex");
    backdrop.classList.add("hidden");
    document.getElementById("app").style.overflow = null;
    toggleButtons.forEach(function (button) {
        button.classList.add("open");
        button.classList.remove("closed");
    });
    sidebarOpen = false;
}
function toggleTheme() {
    if (isSelectedThemeDark()) {
        setThemeToLight();
    }
    else {
        setThemeToDark();
    }
    function isSelectedThemeDark() {
        return localStorage.getItem('color-theme') === 'dark' || !('color-theme' in localStorage) && window.matchMedia('(prefers-color-scheme: dark)').matches;
    }
    function setThemeToDark() {
        document.documentElement.classList.add("dark");
        localStorage.setItem('color-theme', 'dark');
    }
    function setThemeToLight() {
        document.documentElement.classList.remove("dark");
        localStorage.setItem('color-theme', 'light');
    }
}
